## dpkg-www 2.65

=== Makefile ===
# Makefile

PKGNAME = $(shell dpkg-parsechangelog -SSource)
VERSION = $(shell dpkg-parsechangelog -SVersion)
RELTIME = $(shell dpkg-parsechangelog -STimestamp)
PODDATE = $(shell TZ=UTC0 LC_ALL=C date '+%F' --date="@$(RELTIME)")

POD2MAN = pod2man

MANS = src/dpkg-www.1 src/dpkg-www.8

all: src/dpkg $(MANS)

src/dpkg: src/dpkg-cgi
	# Update program version from changelog
	sed '/^PROG_VERSION=/s/^.*$$/PROG_VERSION=$(VERSION)/' <$< >$@
	chmod 755 $@

%: %.pod
	$(POD2MAN) \
	  --section=$(subst .,,$(suffix $@)) \
	  --name=$(notdir $(basename $@)) \
	  --center="Debian Project" \
	  --date="$(PODDATE)" \
	  --release="$(VERSION)" \
	    $< >$@

clean:
	$(RM) src/dpkg
	$(RM) $(MANS)

dist:
	git archive \
	    --prefix=$(PKGNAME)-$(VERSION)/ \
	    --output=$(PKGNAME)-$(VERSION).tar.xz \
	    $(VERSION)

=== debian/changelog ===
dpkg-www (2.65) unstable; urgency=medium

  * dpkg-cgi: Move Debian section descriptions into its own file.
  * Documentation:
    - doc: Add a README file to the source tree.

 -- Guillem Jover <guillem@debian.org>  Thu, 24 Aug 2023 02:06:28 +0200

=== debian/control ===
Source: dpkg-www
Section: doc
Priority: optional
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Uploaders: Guillem Jover <guillem@debian.org>
Vcs-Git: https://git.dpkg.org/cgit/dpkg/dpkg-www.git
Vcs-Browser: https://git.dpkg.org/git/dpkg/dpkg-www.git
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 debhelper (>= 13.10~),
 dh-apache2,
Standards-Version: 4.6.2

Package: dpkg-www
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 dpkg (>= 1.19.3),
 apt,
 perl,
 libcgi-pm-perl,
Recommends:
 ${misc:Recommends},
 dwww,
 info2www,
Suggests:
 dlocate,
 grep-dctrl,
 sensible-utils,
 man2html,
 tasksel,
 www-browser,
Description: Debian package management web interface
 With the dpkg cgi-bin you can browse Debian packages on a local or
 remote host using a normal web browser.
 .
 You can list packages, show package information and installed files,
 browse documentation and navigate through the packages dependencies.
 You can also find all the packages owners of a file or directory or
 those providing a virtual package.
 .
 If you are the system administrator you can also install or remove
 packages by clicking on the buttons found in the package info page,
 provided that this feature has been enabled and you have properly
 configured your web browser.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with apache2

override_dh_installchangelogs:
	dh_installchangelogs --no-trim

## dpkg-www 2.65build1

=== debian/changelog ===
dpkg-www (2.65build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Dec 2025 22:25:00 +0000
